      subroutine figure
c
c Subroutine to save the current graphics state and start a new
c page.
c
c James Blake
c @(#)figure.f	1.1  4/3/89 
c
c
      include 'device_type.h'
c
      if (color_ws .or. mono_ws) then
         call getpoint(x,y,i)
         call plots (1,1)
      elseif (PostScript) then
         call plsout ("save\n")
         call plsout ("showpage\n")
         call plsout ("grestoreall\n")
      endif
      return
      end
